View Issue Details

IDProjectCategoryView StatusLast Update
0003124Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.207 
Summary0003124: "Customize Layout" dialog in Rig Control can't handle losing focus when slider selection drop-down active
DescriptionIf the keyboard is used to shift focus to another app, away from Rig Control, while Rig Control is displaying a dropdown list in the "Customze Layout" dialog, the application generates an error. Instead, it should close the drop down and carry on.
Steps To Reproduce1) Start Rig Control. OK to connect to DemoMatic
2) Use the "View" command to find the "Customize" tear-off. In that menu, use the "Customize Layout" command
3) Drop down any combo box.
4) With the combo boxed dropped down, press ALT+TAB to select another application

BUG#1) The Rig Control application generates at least one message box with the error "The parameter is incorrect"


---------------------------
HamRadioDeluxe
---------------------------
The parameter is incorrect.


---------------------------
OK   
---------------------------
TagsNo tags attached.
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-03-04 14:15

administrator   ~0007573

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4860

WA9PIE

2019-03-10 19:16

administrator   ~0007662

Validated

Issue History

Date Modified Username Field Change
2019-01-27 11:24 K7ZCZ New Issue
2019-01-27 11:25 K7ZCZ Tag Attached: FT-891
2019-01-27 11:25 K7ZCZ Tag Attached: Yaesu
2019-01-27 11:25 K7ZCZ Tag Detached: Yaesu
2019-01-27 11:25 K7ZCZ Tag Detached: FT-891
2019-03-04 14:15 K7ZCZ Assigned To => K7ZCZ
2019-03-04 14:15 K7ZCZ Status new => resolved
2019-03-04 14:15 K7ZCZ Resolution open => fixed
2019-03-04 14:15 K7ZCZ Note Added: 0007573
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-10 19:16 WA9PIE Status resolved => closed
2019-03-10 19:16 WA9PIE Description Updated View Revisions
2019-03-10 19:16 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-10 19:16 WA9PIE Testing Not Started => Beta Successful
2019-03-10 19:16 WA9PIE Note Added: 0007662
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe